classification
Title: missing errno import in distutils/dir_util.py
Type: behavior Stage: resolved
Components: Distutils Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, tarek, zbysz
Priority: normal Keywords:

Created on 2010-11-13 14:06 by zbysz, last changed 2010-11-20 20:21 by eric.araujo. This issue is now closed.

Messages (3)
msg121137 - (view) Author: Zbyszek Jędrzejewski-Szmek (zbysz) * Date: 2010-11-13 14:06
Fix is trivial:
diff -r 8daacdacf720 -r 1a821081b470 Lib/distutils/dir_util.py
--- a/Lib/distutils/dir_util.py Sat Nov 13 13:27:49 2010 +0100
+++ b/Lib/distutils/dir_util.py Sat Nov 13 14:37:49 2010 +0100
@@ -5,6 +5,7 @@
 __revision__ = "$Id: dir_util.py 86244 2010-11-06 04:48:05Z eric.araujo $"
 
 import os, sys
+import errno
 from distutils.errors import DistutilsFileError, DistutilsInternalError
 from distutils import log
msg121138 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-13 14:14
Thanks for the report.  I’ve run pyflakes over the distutils directory and found another error in test_sysconfig.  Will fix shortly.
msg121757 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-20 20:21
Fixed in r86601 and r86605 (py3k), r86606 (3.1), r86609 (2.7).  Thanks!
History
Date User Action Args
2010-11-20 20:21:20eric.araujosetstatus: pending -> closed
resolution: fixed
messages: + msg121757

stage: resolved
2010-11-13 14:14:00eric.araujosetstatus: open -> pending
versions: + Python 3.1, Python 2.7
messages: + msg121138

assignee: tarek -> eric.araujo
type: crash -> behavior
2010-11-13 14:06:35zbyszcreate